diff -crN nakedmudv1.0/src/char_vars/char_vars.c nakedmudv1.4/src/char_vars/char_vars.c
*** nakedmudv1.0/src/char_vars/char_vars.c	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/src/char_vars/char_vars.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,336 ----
+ //*****************************************************************************
+ //
+ // char_vars.c
+ //
+ // This module allows key/value pairs to be stored on a character. The values
+ // can be strings, integers, or doubles. If a value is called for in the wrong
+ // type (e.g. you're trying to get a string as an integer) the module will
+ // automagically handle the conversion. Variable types default to ints.
+ //
+ //*****************************************************************************
+ 
+ #include "../mud.h"
+ #include "../utils.h"
+ #include "../character.h"
+ #include "../storage.h"
+ #include "../auxiliary.h"
+ 
+ #include "char_vars.h"
+ 
+ 
+ //*****************************************************************************
+ //
+ // local functions and datastructurs
+ //
+ //*****************************************************************************
+ 
+ // the size of the hashtable we store char vars in
+ #define CHAR_VAR_TABLE_SIZE   10
+ 
+ // used in storage_sets to keep track of what kind of data we're saving
+ const char *char_var_types[] = {
+   "string",
+   "int",
+   "long",
+   "double"
+ };
+ 
+ 
+ typedef struct char_var {
+   char *str_val;
+   int   type;
+ } CHAR_VAR;
+ 
+ 
+ CHAR_VAR *newCharVarString(const char *str) {
+   CHAR_VAR *data = malloc(sizeof(CHAR_VAR));
+   data->str_val  = strdup(str ? str : "");
+   data->type     = CHAR_VAR_STRING;
+   return data;
+ }
+ 
+ CHAR_VAR *newCharVarInt(int val) {
+   CHAR_VAR *data = malloc(sizeof(CHAR_VAR));
+   char str_val[20]; sprintf(str_val, "%d", val);
+   data->str_val  = strdup(str_val);
+   data->type     = CHAR_VAR_INT;
+   return data;
+ }
+ 
+ CHAR_VAR *newCharVarLong(long val) {
+   CHAR_VAR *data = malloc(sizeof(CHAR_VAR));
+   char str_val[20]; sprintf(str_val, "%ld", val);
+   data->str_val  = strdup(str_val);
+   data->type     = CHAR_VAR_LONG;
+   return data;
+ }
+ 
+ CHAR_VAR *newCharVarDouble(double val) {
+   CHAR_VAR *data = malloc(sizeof(CHAR_VAR));
+   char str_val[20]; sprintf(str_val, "%lf", val);
+   data->str_val  = strdup(str_val);
+   data->type     = CHAR_VAR_DOUBLE;
+   return data;
+ }
+ 
+ void deleteCharVar(CHAR_VAR *data) {
+   if(data->str_val) free(data->str_val);
+   free(data);
+ }
+ 
+ CHAR_VAR *charVarCopy(CHAR_VAR *data) {
+   CHAR_VAR *new_data = malloc(sizeof(CHAR_VAR));
+   new_data->str_val = strdup(data->str_val);
+   new_data->type    = data->type;
+   return new_data;
+ }
+ 
+ //
+ // delete a hashtable of char vars
+ //
+ void deleteCharVarTable(HASHTABLE *table) {
+   HASH_ITERATOR *hash_i = newHashIterator(table);
+   const char       *key = NULL;
+   CHAR_VAR         *val = NULL;
+   
+   ITERATE_HASH(key, val, hash_i)
+     deleteCharVar(val);
+   deleteHashIterator(hash_i);
+   deleteHashtable(table);
+ }
+ 
+ 
+ 
+ //*****************************************************************************
+ //
+ // char_var auxiliary data
+ //
+ //*****************************************************************************
+ typedef struct char_var_aux_data {
+   HASHTABLE *char_vars;
+ } CHAR_VAR_AUX_DATA;
+ 
+ 
+ CHAR_VAR_AUX_DATA *
+ newCharVarAuxData() {
+   CHAR_VAR_AUX_DATA *data = malloc(sizeof(CHAR_VAR_AUX_DATA));
+   // Hashtables can take up lots of storage space. Because of this, let's
+   // not create any tables until it's actually needed. This will cut down
+   // on lots of memory usage w.r.t. NPCs who do not use character variables
+   //  data->char_vars        = newHashtable(CHAR_VAR_TABLE_SIZE);
+   data->char_vars         = NULL;
+   return data;
+ }
+ 
+ 
+ void
+ deleteCharVarAuxData(CHAR_VAR_AUX_DATA *data) {
+   if(data->char_vars)
+     deleteCharVarTable(data->char_vars);
+   free(data);
+ }
+ 
+ 
+ void
+ charVarAuxDataCopyTo(CHAR_VAR_AUX_DATA *from, CHAR_VAR_AUX_DATA *to) {
+   int from_size = (from->char_vars ? hashSize(from->char_vars) : 0);
+   int to_size   = (to->char_vars   ? hashSize(to->char_vars)   : 0);
+ 
+   // clear out our current data
+   if(to_size > 0) {
+     deleteCharVarTable(to->char_vars);
+     to->char_vars = NULL;
+   }
+ 
+   // check to see if the "from" table exists
+   if(from_size > 0) {
+     // make sure the "to" table exists
+     if(to->char_vars == NULL)
+       to->char_vars = newHashtable(CHAR_VAR_TABLE_SIZE);
+ 
+     // copy everything over
+     HASH_ITERATOR *from_i = newHashIterator(from->char_vars);
+     const char       *key = NULL;
+     CHAR_VAR         *val = NULL;
+ 
+     ITERATE_HASH(key, val, from_i)
+       hashPut(to->char_vars, key, charVarCopy(val));
+     deleteHashIterator(from_i);
+   }
+ }
+ 
+ 
+ CHAR_VAR_AUX_DATA *
+ charVarAuxDataCopy(CHAR_VAR_AUX_DATA *data) {
+   CHAR_VAR_AUX_DATA *new_data = newCharVarAuxData();
+   charVarAuxDataCopyTo(data, new_data);
+   return new_data;
+ }
+ 
+ 
+ STORAGE_SET *charVarAuxDataStore(CHAR_VAR_AUX_DATA *data) {
+   // first, check if the table even exists
+   if(data->char_vars == NULL || hashSize(data->char_vars) == 0)
+     return new_storage_set();
+ 
+   STORAGE_SET       *set = new_storage_set();
+   HASH_ITERATOR  *hash_i = newHashIterator(data->char_vars);
+   STORAGE_SET_LIST *list = new_storage_list();
+   const char        *key = NULL;
+   CHAR_VAR          *val = NULL;
+ 
+   store_list(set, "variables", list, NULL);
+   // iterate across all the entries and add them
+   ITERATE_HASH(key, val, hash_i) {
+     STORAGE_SET *var_set = new_storage_set();
+     store_string(var_set, "key",  key,                       NULL);
+     store_string(var_set, "val",  val->str_val,              NULL);
+     store_string(var_set, "type", char_var_types[val->type], NULL);
+     storage_list_put(list, var_set);
+   }
+   deleteHashIterator(hash_i);
+   return set;
+ }
+ 
+ 
+ HASHTABLE *variableRead(STORAGE_SET *set) {
+   HASHTABLE *table       = newHashtable(CHAR_VAR_TABLE_SIZE);
+   STORAGE_SET_LIST *list = read_list(set, "list");
+   STORAGE_SET *var       = NULL;
+ 
+   while( (var = storage_list_next(list)) != NULL)
+     hashPut(table, read_string(var, "key"), (void *)read_int(var, "val"));
+   return table;
+ }
+ 
+ 
+ CHAR_VAR_AUX_DATA *charVarAuxDataRead(STORAGE_SET *set) {
+   // if the set doesn't contain any entries, don't bother trying to parse
+   if(!storage_contains(set, "variables"))
+     return newCharVarAuxData();
+ 
+   CHAR_VAR_AUX_DATA *data = newCharVarAuxData();
+   STORAGE_SET_LIST  *list = read_list(set, "variables");
+   STORAGE_SET    *var_set = NULL;
+   data->char_vars         = newHashtable(CHAR_VAR_TABLE_SIZE);
+   
+   while( (var_set = storage_list_next(list)) != NULL) {
+     const char *var_type = read_string(var_set, "type");
+     if(!strcasecmp(var_type, "int"))
+       hashPut(data->char_vars, read_string(var_set, "key"),
+ 	      newCharVarInt(read_int(var_set, "val")));
+     else if(!strcasecmp(var_type, "long"))
+       hashPut(data->char_vars, read_string(var_set, "key"),
+ 	      newCharVarLong(read_long(var_set, "val")));
+     else if(!strcasecmp(var_type, "double"))
+       hashPut(data->char_vars, read_string(var_set, "key"),
+ 	      newCharVarDouble(read_double(var_set, "val")));
+     else if(!strcasecmp(var_type, "string"))
+       hashPut(data->char_vars, read_string(var_set, "key"),
+ 	      newCharVarString(read_string(var_set, "val")));
+     else
+       log_string("ERROR: Tried to read unknown char_var type, %s.", var_type);
+   }
+     
+   return data;
+ }
+ 
+ 
+ void init_char_vars() {
+   // install char vars on the character datastructure
+   auxiliariesInstall("char_var_aux_data",
+ 		     newAuxiliaryFuncs(AUXILIARY_TYPE_CHAR,
+ 				       newCharVarAuxData, deleteCharVarAuxData,
+ 				       charVarAuxDataCopyTo, charVarAuxDataCopy,
+ 				       charVarAuxDataStore,charVarAuxDataRead));
+ }
+ 
+ 
+ 
+ 
+ //*****************************************************************************
+ //
+ // functions for interacting with char_vars
+ //
+ //*****************************************************************************
+ int charGetVarType(CHAR_DATA *ch, const char *key) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *var = (data->char_vars ? hashGet(data->char_vars, key) : NULL);
+   return (var ? var->type : CHAR_VAR_INT);
+ }
+ 
+ 
+ int charGetInt(CHAR_DATA *ch, const char *key) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *var = (data->char_vars ? hashGet(data->char_vars, key) : NULL);
+   return (var ? atoi(var->str_val) : 0);
+ }
+ 
+ 
+ long charGetLong(CHAR_DATA *ch, const char *key) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *var = (data->char_vars ? hashGet(data->char_vars, key) : NULL);
+   return (var ? atol(var->str_val) : 0);
+ }
+ 
+ 
+ double charGetDouble(CHAR_DATA *ch, const char *key) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *var = (data->char_vars ? hashGet(data->char_vars, key) : NULL);
+   return (var ? atof(var->str_val) : 0);
+ }
+ 
+ 
+ const char *charGetString(CHAR_DATA *ch, const char *key) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *var = (data->char_vars ? hashGet(data->char_vars, key) : NULL);
+   return (var ? var->str_val : "");
+ }
+ 
+ 
+ void charSetInt(CHAR_DATA *ch, const char *key, int val) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *old = (data->char_vars ? hashRemove(data->char_vars, key) : NULL);
+   if(data->char_vars == NULL && val != 0)
+     data->char_vars = newHashtable(CHAR_VAR_TABLE_SIZE);
+   if(old != NULL) 
+     deleteCharVar(old);
+   if(val != 0)
+     hashPut(data->char_vars, key, newCharVarInt(val));
+ }
+ 
+ 
+ void charSetLong(CHAR_DATA *ch, const char *key, long val) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *old = (data->char_vars ? hashRemove(data->char_vars, key) : NULL);
+   if(data->char_vars == NULL && val != 0)
+     data->char_vars = newHashtable(CHAR_VAR_TABLE_SIZE);
+   if(old != NULL) 
+     deleteCharVar(old);
+   if(val != 0)
+     hashPut(data->char_vars, key, newCharVarLong(val));
+ }
+ 
+ 
+ void charSetDouble(CHAR_DATA *ch, const char *key, double val) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *old = (data->char_vars ? hashRemove(data->char_vars, key) : NULL);
+   if(data->char_vars == NULL && val != 0)
+     data->char_vars = newHashtable(CHAR_VAR_TABLE_SIZE);
+   if(old != NULL) 
+     deleteCharVar(old);
+   if(val != 0)
+     hashPut(data->char_vars, key, newCharVarDouble(val));
+ }
+ 
+ 
+ void charSetString(CHAR_DATA *ch, const char *key, const char *val) {
+   CHAR_VAR_AUX_DATA *data = charGetAuxiliaryData(ch, "char_var_aux_data");
+   CHAR_VAR *old = (data->char_vars ? hashRemove(data->char_vars, key) : NULL);
+   if(data->char_vars == NULL && *val != '\0') 
+     data->char_vars = newHashtable(CHAR_VAR_TABLE_SIZE);
+   if(old != NULL) 
+     deleteCharVar(old);
+   if(*val != '\0')
+     hashPut(data->char_vars, key, newCharVarString(val));
+ }
diff -crN nakedmudv1.0/src/char_vars/char_vars.h nakedmudv1.4/src/char_vars/char_vars.h
*** nakedmudv1.0/src/char_vars/char_vars.h	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/src/char_vars/char_vars.h	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,47 ----
+ #ifndef __CHAR_VARS_H
+ #define __CHAR_VARS_H
+ //*****************************************************************************
+ //
+ // char_vars.h
+ //
+ // This module allows key/value pairs to be stored on a character. The values
+ // can be strings, integers, or doubles. If a value is called for in the wrong
+ // type (e.g. you're trying to get a string as an integer) the module will
+ // automagically handle the conversion. Variable types default to ints.
+ //
+ //*****************************************************************************
+ 
+ 
+ //
+ // This must be put at the top of mud.h so the rest of the MUD knows that
+ // we've got the alias module installed
+ // #define MODULE_CHAR_VARS
+ //
+ 
+ 
+ // the different types of data we can store
+ #define CHAR_VAR_STRING        0
+ #define CHAR_VAR_INT           1
+ #define CHAR_VAR_LONG          2
+ #define CHAR_VAR_DOUBLE        3
+ 
+ 
+ 
+ //
+ // prepare char_vars for use
+ //
+ void         init_char_vars   ();
+ 
+ int          charGetVarType   (CHAR_DATA *ch, const char *key);
+ 
+ int          charGetInt       (CHAR_DATA *ch, const char *key);
+ long         charGetLong      (CHAR_DATA *ch, const char *key);
+ double       charGetDouble    (CHAR_DATA *ch, const char *key);
+ const char  *charGetString    (CHAR_DATA *ch, const char *key);
+ 
+ void         charSetInt       (CHAR_DATA *ch, const char *key, int val);
+ void         charSetLong      (CHAR_DATA *ch, const char *key, long val);
+ void         charSetDouble    (CHAR_DATA *ch, const char *key, double val);
+ void         charSetString    (CHAR_DATA *ch, const char *key, const char *val);
+ 
+ #endif // __CHAR_VARS_H
diff -crN nakedmudv1.0/src/char_vars/.depend nakedmudv1.4/src/char_vars/.depend
*** nakedmudv1.0/src/char_vars/.depend	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/src/char_vars/.depend	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1 ----
+ char_vars.o: char_vars.c char_vars.h
diff -crN nakedmudv1.0/src/char_vars/module.mk nakedmudv1.4/src/char_vars/module.mk
*** nakedmudv1.0/src/char_vars/module.mk	1969-12-31 18:00:00.000000000 -0600
--- nakedmudv1.4/src/char_vars/module.mk	2010-11-01 15:54:18.000000000 -0500
***************
*** 0 ****
--- 1,2 ----
+ # source files we need to add
+ SRC += char_vars/char_vars.c
diff -crN nakedmudv1.0/src/cmd_comm.c nakedmudv1.4/src/cmd_comm.c
*** nakedmudv1.0/src/cmd_comm.c	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/cmd_comm.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 18,24 ****
  
  // option modules
  #ifdef MODULE_SCRIPTS
! #include "modules/scripts/script.h"
  #endif
  
  
--- 18,24 ----
  
  // option modules
  #ifdef MODULE_SCRIPTS
! #include "scripts/script.h"
  #endif
  
  
***************
*** 51,71 ****
      if(!*arg)
        send_to_char(ch, "What did you want to ask %s?\r\n", name);
      else {
-       int find_type;
        CHAR_DATA *tgt = generic_find(ch, name,
  				    FIND_TYPE_CHAR,
  				    FIND_SCOPE_ROOM | FIND_SCOPE_VISIBLE,
! 				    FALSE, &find_type);
  
!       if(!tgt || find_type != FOUND_CHAR)
  	send_to_char(ch, "Who were you trying to ask a question?\r\n");
        else if(tgt == ch)
  	send_to_char(ch, "You have a nice conversation with yourself.\r\n");
        else {
! 	message(ch, tgt, NULL, NULL, FALSE, TO_CHAR, 
! 		"{wYou ask $N%s, '%s'", (ask_about ? " about"  : ""), arg);
! 	message(ch, tgt, NULL, NULL, FALSE, TO_VICT, 
! 		"{w$n asks you%s, '%s'", (ask_about ? " about" : ""), arg);
  #ifdef MODULE_SCRIPTS
  	try_speech_script(ch, tgt, arg);
  #endif	
--- 51,74 ----
      if(!*arg)
        send_to_char(ch, "What did you want to ask %s?\r\n", name);
      else {
        CHAR_DATA *tgt = generic_find(ch, name,
  				    FIND_TYPE_CHAR,
  				    FIND_SCOPE_ROOM | FIND_SCOPE_VISIBLE,
! 				    FALSE, NULL);
  
!       if(tgt == NULL)
  	send_to_char(ch, "Who were you trying to ask a question?\r\n");
        else if(tgt == ch)
  	send_to_char(ch, "You have a nice conversation with yourself.\r\n");
        else {
! 	char other_buf[MAX_BUFFER];
! 	sprintf(other_buf, "{w$n asks you%s, '%s'{n",
! 		(ask_about ? " about" : ""), arg);
! 	message(ch, tgt, NULL, NULL, FALSE, TO_VICT, other_buf);	
! 
! 	send_to_char(ch, "{wYou ask %s%s, '%s'{n\r\n", 
! 		     charGetName(tgt), (ask_about ? " about" : ""), arg);
! 
  #ifdef MODULE_SCRIPTS
  	try_speech_script(ch, tgt, arg);
  #endif	
***************
*** 100,118 ****
      if(!*arg)
        send_to_char(ch, "What did you want to tell %s?\r\n", name);
      else {
-       int find_type;
        CHAR_DATA *tgt = generic_find(ch, name,
  				    FIND_TYPE_CHAR,
  				    FIND_SCOPE_WORLD | FIND_SCOPE_VISIBLE,
! 				    FALSE, &find_type);
  
!       if(!tgt || find_type != FOUND_CHAR)
  	send_to_char(ch, "Who were you trying to talk to?\r\n");
        else if(tgt == ch)
  	send_to_char(ch, "You have a nice conversation with yourself.\r\n");
        else {
! 	message(ch, tgt, NULL, NULL, FALSE, TO_CHAR, 
! 		"{rYou tell $N, '%s'", arg);
  
  	// if we're an NPC, make sure we do colored output
  	char *color_arg = arg;
--- 103,119 ----
      if(!*arg)
        send_to_char(ch, "What did you want to tell %s?\r\n", name);
      else {
        CHAR_DATA *tgt = generic_find(ch, name,
  				    FIND_TYPE_CHAR,
  				    FIND_SCOPE_WORLD | FIND_SCOPE_VISIBLE,
! 				    FALSE, NULL);
  
!       if(tgt == NULL)
  	send_to_char(ch, "Who were you trying to talk to?\r\n");
        else if(tgt == ch)
  	send_to_char(ch, "You have a nice conversation with yourself.\r\n");
        else {
! 	send_to_char(ch, "{rYou tell %s, '%s'{n\r\n", charGetName(tgt), arg);
  
  	// if we're an NPC, make sure we do colored output
  	char *color_arg = arg;
***************
*** 122,131 ****
  	    color_arg = tagResponses(dialog, arg, "{c", "{r");
  	}
  
! 	message(ch, tgt, NULL, NULL, FALSE, TO_VICT, 
! 		"{r$n tells you, '%s'", arg);
! 	  if(color_arg != arg) 
! 	    free(color_arg);
        }
      }
    }
--- 123,134 ----
  	    color_arg = tagResponses(dialog, arg, "{c", "{r");
  	}
  
! 	char other_buf[MAX_BUFFER];
! 	sprintf(other_buf, "{r$n tells you, '%s'{n", arg);
! 	message(ch, tgt, NULL, NULL, FALSE, TO_VICT, other_buf);
! 
! 	if(color_arg != arg) 
! 	  free(color_arg);
        }
      }
    }
***************
*** 186,198 ****
    if(!arg || !*arg)
      send_to_char(ch, "Whom did you want to greet?\r\n");
    else {
-     int find_type;
      CHAR_DATA *tgt = generic_find(ch, arg,
  				  FIND_TYPE_CHAR,
  				  FIND_SCOPE_ROOM | FIND_SCOPE_VISIBLE,
! 				  FALSE, &find_type);
  
!     if(!tgt || find_type != FOUND_CHAR)
        send_to_char(ch, "Who were you trying to greet?\r\n");
      else if(tgt == ch)
        send_to_char(ch, 
--- 189,200 ----
    if(!arg || !*arg)
      send_to_char(ch, "Whom did you want to greet?\r\n");
    else {
      CHAR_DATA *tgt = generic_find(ch, arg,
  				  FIND_TYPE_CHAR,
  				  FIND_SCOPE_ROOM | FIND_SCOPE_VISIBLE,
! 				  FALSE, NULL);
  
!     if(tgt == NULL)
        send_to_char(ch, "Who were you trying to greet?\r\n");
      else if(tgt == ch)
        send_to_char(ch, 
***************
*** 215,228 ****
  	  char *response = tagResponses(dialog,
  					dialogGetGreet(dialog),
  					"{c", "{p");
! 	  message(ch, tgt, NULL, NULL, FALSE, TO_CHAR,
! 		  "{p$N responds, '%s'", response);
  	  free(response);
  	}
  
  	else
! 	  message(ch, tgt, NULL, NULL, TRUE, TO_CHAR,
! 		  "{p$N does not have anything to say.");
        }
      }
    }
--- 217,229 ----
  	  char *response = tagResponses(dialog,
  					dialogGetGreet(dialog),
  					"{c", "{p");
! 	  send_to_char(ch, "{p%s responds, '%s'\r\n",charGetName(tgt),response);
  	  free(response);
  	}
  
  	else
! 	  send_to_char(ch, "{p%s does not have anything to say.\r\n",
! 		       charGetName(tgt));
        }
      }
    }
***************
*** 249,255 ****
      // person put his or her name were it's wanted. Otherwise, tag
      // it onto the front of the message
      if(strfind(arg, "$n"))
!       sprintf(buf, arg);
      else
        sprintf(buf, "$n %s", arg);
  
--- 250,256 ----
      // person put his or her name were it's wanted. Otherwise, tag
      // it onto the front of the message
      if(strfind(arg, "$n"))
!       strcpy(buf, arg);
      else
        sprintf(buf, "$n %s", arg);
  
diff -crN nakedmudv1.0/src/cmd_manip.c nakedmudv1.4/src/cmd_manip.c
*** nakedmudv1.0/src/cmd_manip.c	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/cmd_manip.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 60,67 ****
        send_to_char(ch, "You cannot seem to find the key.\r\n");
      else {
        send_to_char(ch, "You lock %s.\r\n", exitGetName(found));
!       message(ch, NULL, NULL, NULL, TRUE, TO_ROOM | TO_NOTCHAR,
! 	      "$n locks %s.", exitGetName(found));
        exitSetLocked(found, TRUE);
      }
    }
--- 60,67 ----
        send_to_char(ch, "You cannot seem to find the key.\r\n");
      else {
        send_to_char(ch, "You lock %s.\r\n", exitGetName(found));
!       send_around_char(ch, TRUE, "%s locks %s.\r\n", 
! 		       charGetName(ch), exitGetName(found));
        exitSetLocked(found, TRUE);
      }
    }
***************
*** 118,125 ****
        send_to_char(ch, "You cannot seem to find the key.\r\n");
      else {
        send_to_char(ch, "You unlock %s.\r\n", exitGetName(found));
!       message(ch, NULL, NULL, NULL, TRUE, TO_ROOM | TO_NOTCHAR,
! 	      "$n unlocks %s.", exitGetName(found));
        exitSetLocked(found, FALSE);
      }
    }
--- 118,125 ----
        send_to_char(ch, "You cannot seem to find the key.\r\n");
      else {
        send_to_char(ch, "You unlock %s.\r\n", exitGetName(found));
!       send_around_char(ch, TRUE, "%s unlocks %s.\r\n", 
! 		       charGetName(ch), exitGetName(found));
        exitSetLocked(found, FALSE);
      }
    }
***************
*** 175,184 ****
  				FIND_SCOPE_INV | FIND_SCOPE_VISIBLE,
  				TRUE, &found_type);
  
-   int cont_type  = FOUND_NONE;
    OBJ_DATA *cont = generic_find(ch, arg,
  				FIND_TYPE_OBJ, FIND_SCOPE_IMMEDIATE,
! 				FALSE, &cont_type);
  
    // make sure we've got what we need
    if(!found || !cont) {
--- 175,183 ----
  				FIND_SCOPE_INV | FIND_SCOPE_VISIBLE,
  				TRUE, &found_type);
  
    OBJ_DATA *cont = generic_find(ch, arg,
  				FIND_TYPE_OBJ, FIND_SCOPE_IMMEDIATE,
! 				FALSE, NULL);
  
    // make sure we've got what we need
    if(!found || !cont) {
***************
*** 241,252 ****
        send_to_char(ch, "%s appears to be locked.\r\n",
  		   (*exitGetName(found) ? exitGetName(found) : "It"));
      else {
!       exitSetClosed(found, FALSE);
        send_to_char(ch, "You open %s.\r\n",
  		   (*exitGetName(found) ? exitGetName(found) : "the exit"));
!       message(ch, NULL, NULL, NULL, FALSE, TO_ROOM | TO_NOTCHAR,
! 	      "$n opens %s.", (*exitGetName(found) ?
! 			        exitGetName(found) : "an exit"));
      }
    }
  
--- 240,252 ----
        send_to_char(ch, "%s appears to be locked.\r\n",
  		   (*exitGetName(found) ? exitGetName(found) : "It"));
      else {
!       char other_buf[SMALL_BUFFER];
!       sprintf(other_buf, "$n opens %s.", (*exitGetName(found) ?
! 					  exitGetName(found) : "an exit"));
!       message(ch, NULL, NULL, NULL, FALSE, TO_ROOM | TO_NOTCHAR, other_buf);
        send_to_char(ch, "You open %s.\r\n",
  		   (*exitGetName(found) ? exitGetName(found) : "the exit"));
!       exitSetClosed(found, FALSE);
      }
    }
  
***************
*** 302,313 ****
        send_to_char(ch, "It is easy to close something when someone "
  		   "has already done it for you!\r\n");
      else {
!       exitSetClosed(found, TRUE);
        send_to_char(ch, "You close %s.\r\n",
  		   (*exitGetName(found) ? exitGetName(found) : "the exit"));
!       message(ch, NULL, NULL, NULL, FALSE, TO_ROOM | TO_NOTCHAR,
! 	      "$n closes %s.", (*exitGetName(found) ?
! 				exitGetName(found) : "an exit"));
      }
    }
  
--- 302,314 ----
        send_to_char(ch, "It is easy to close something when someone "
  		   "has already done it for you!\r\n");
      else {
!       char other_buf[SMALL_BUFFER];
!       sprintf(other_buf, "$n closes %s.", (*exitGetName(found) ?
! 					   exitGetName(found) : "an exit"));
!       message(ch, NULL, NULL, NULL, FALSE, TO_ROOM | TO_NOTCHAR, other_buf);
        send_to_char(ch, "You close %s.\r\n",
  		   (*exitGetName(found) ? exitGetName(found) : "the exit"));
!       exitSetClosed(found, TRUE);
      }
    }
  
***************
*** 350,360 ****
    arg = one_arg(arg, name);
  
    // first check to see if we're trying to get from a container
-   int cont_type  = FOUND_NONE;
    OBJ_DATA *cont = NULL;
    if(*arg) {
      cont = generic_find(ch, arg, FIND_TYPE_OBJ, FIND_SCOPE_IMMEDIATE,
! 			FALSE, &cont_type);
      // were we trying to get something from a container 
      // but couldn't find the container?
      if(cont == NULL) {
--- 351,360 ----
    arg = one_arg(arg, name);
  
    // first check to see if we're trying to get from a container
    OBJ_DATA *cont = NULL;
    if(*arg) {
      cont = generic_find(ch, arg, FIND_TYPE_OBJ, FIND_SCOPE_IMMEDIATE,
! 			FALSE, NULL);
      // were we trying to get something from a container 
      // but couldn't find the container?
      if(cont == NULL) {
***************
*** 438,448 ****
  			     FIND_SCOPE_INV | FIND_SCOPE_VISIBLE, 
  			     TRUE, &found_type);
  
-   int char_type = FOUND_NONE; // redundant, but we need a variable to use
    CHAR_DATA *recv = generic_find(ch, arg,
  				 FIND_TYPE_CHAR,
  				 FIND_SCOPE_ROOM | FIND_SCOPE_VISIBLE,
! 				 FALSE, &char_type);
  
    if(!recv)
      send_to_char(ch, "Whom where you looking for?\r\n");
--- 438,447 ----
  			     FIND_SCOPE_INV | FIND_SCOPE_VISIBLE, 
  			     TRUE, &found_type);
  
    CHAR_DATA *recv = generic_find(ch, arg,
  				 FIND_TYPE_CHAR,
  				 FIND_SCOPE_ROOM | FIND_SCOPE_VISIBLE,
! 				 FALSE, NULL);
  
    if(!recv)
      send_to_char(ch, "Whom where you looking for?\r\n");
diff -crN nakedmudv1.0/src/cmd_misc.c nakedmudv1.4/src/cmd_misc.c
*** nakedmudv1.0/src/cmd_misc.c	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/cmd_misc.c	2010-11-01 15:54:18.000000000 -0500
***************
*** 33,67 ****
  
  
  //
- // Set or delete an alias. If no argument is supplied, all aliases are listed.
- //
- COMMAND(cmd_alias) {
-   // list off all of the aliases
-   if(!arg || !*arg) {
-     send_to_char(ch, "Current aliases:\r\n");
-     if(hashSize(charGetAliases(ch)) == 0)
-       send_to_char(ch, "none\r\n");
-     else {
-       HASH_ITERATOR *alias_i = newHashIterator(charGetAliases(ch));
-       const char      *alias = NULL;
-       while( (alias = hashIteratorCurrentKey(alias_i)) != NULL) {
- 	send_to_char(ch, "%-20s %s\r\n", alias, hashIteratorCurrentVal(alias_i));
- 	hashIteratorNext(alias_i);
-       }
-       deleteHashIterator(alias_i);
-     }
-   }
-   // otherwise, modify a specific one
-   else {
-     char alias[SMALL_BUFFER];
-     arg = one_arg(arg, alias);
-     charSetAlias(ch, alias, arg);
-     send_to_char(ch, "Alias %s.\r\n", (arg && *arg ? "set" : "deleted"));
-   }
- }
- 
- 
- //
  // clear the screen
  //
  COMMAND(cmd_clear) {
--- 33,38 ----
diff -crN nakedmudv1.0/src/commands.h nakedmudv1.4/src/commands.h
*** nakedmudv1.0/src/commands.h	2010-11-01 15:54:17.000000000 -0500
--- nakedmudv1.4/src/commands.h	2010-11-01 15:54:18.000000000 -0500
***************
*** 13,18 ****
--- 13,19 ----
  COMMAND(cmd_copyover);
  COMMAND(cmd_shutdown);
  COMMAND(cmd_linkdead);
+ COMMAND(cmd_wizhelp);
  
  
  /* builder.c */
***************
*** 54,60 ****
  
  /* cmd_misc.c */
  COMMAND(cmd_delay);
- COMMAND(cmd_alias);
  COMMAND(cmd_clear);
  COMMAND(cmd_quit);
  COMMAND(cmd_save);
--- 55,60 ----
***************
*** 67,76 ****
  
  /* inform.c */
  COMMAND(cmd_who);
- COMMAND(cmd_help);
  COMMAND(cmd_look);
  COMMAND(cmd_inventory);
  COMMAND(cmd_equipment);
  
  
  /* olc.c */
--- 67,76 ----
  
  /* inform.c */
  COMMAND(cmd_who);
  COMMAND(cmd_look);
  COMMAND(cmd_inventory);
  COMMAND(cmd_equipment);
+ COMMAND(cmd_help);
  
  
  /* olc.c */
